Skip to content
GET /unified/calendar/availability

Query Parameters

Refer Specifying query parameters in Truto APIs

start_timestring · date-time

The start date and time of the availability slot.

5 supported3 required
Google
required
Google Calendar
required
Outlook Calendar
required
Cal.com
supported
Calendly
supported
end_timestring · date-time

The end date and time of the availability slot.

5 supported3 required
Google
required
Google Calendar
required
Outlook Calendar
required
Cal.com
supported
Calendly
supported
userobject

The user to filter the availability. Defaults to the authenticated user.

1 supported
Calendly
supported
idstring

Unique identifier of a User

calendarobject

The calendar associated with the availability.

3 supported2 required
Google
required
Google Calendar
required
Cal.com
supported
idstring

The unique identifier of the calendar.

namestring

The name of the calendar.

timezonestring

The timezone of the availability slot.

5 supported1 required
Outlook Calendar
required
Cal.com
supported
Calendly
supported
Google
supported
Google Calendar
supported
emailsstring[]

The emails of the people for whom the availability is to be fetched. By default, the availability of the authenticated user is fetched.

1 supported
Outlook Calendar
supported
durationnumber

The duration of the availability slot in minutes.

1 supported
Outlook Calendar
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Availability

end_timestring · date-time
required·

The end date and time of the availability slot.

5 supported
Cal.com
supported
Calendly
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
start_timestring · date-time
required·

The start date and time of the availability slot.

5 supported
Cal.com
supported
Calendly
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
availabilitystring

The availability of the user during the time period of the availability slot.

Possible values:
busyfree
4 supported
Calendly
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
calendarobject

The calendar associated with the availability.

3 supported
Cal.com
supported
Google
supported
Google Calendar
supported
2 properties
idstring

The unique identifier of the calendar.

namestring

The name of the calendar.

emailstring

The email of the person associated with the availability.

1 supported
Outlook Calendar
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

timezonestring

The timezone of the availability slot.

5 supported
Cal.com
supported
Calendly
supported
Google
supported
Google Calendar
supported
Outlook Calendar
supported
curl -X GET 'https://api.truto.one/unified/calendar/availability?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/calendar/availability?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/calendar/availability"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'calendar',
  'availability',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "calendar",
        "availability",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())